@rem Copyright FUJITSU LIMITED 2001,2002,2003
@rem RSB firmware update batch - V8.2L10
@echo off

if "%1" == "fpddisk" goto fpddisk
if "%1" == "ramdisk" goto ramdisk

REM echo not possible to execute!.
REM goto end
goto str

:fpddisk
rem echo FPD Disk version beginning.
goto str

:ramdisk
rem echo RAM Disk version beginning.

:str
rem +---------------------------------------------------------------+
rem + Display Flash firmware Version                                +
rem +---------------------------------------------------------------+
echo MESSAGE: Flash firmware : Version 1.1.1.126

rem +---------------------------------------------------------------+
rem + Check the model of server (N800)                              +
rem +---------------------------------------------------------------+
rem Check for N800
lkfintel.exe 2 
if not errorlevel 1 goto N800

rem +---------------------------------------------------------------+
rem + Check the model of server (IPMI)                              +
rem +---------------------------------------------------------------+
rem Check for L100
actions.exe checkdnumber 1350
if not errorlevel 1 goto IPMI

rem Check for RX100 (L170)
actions.exe checkdnumber 1483
if not errorlevel 1 goto IPMI

rem Check for TX150
actions.exe checkdnumber 1501
if not errorlevel 1 goto IPMI

rem Check for L250
actions.exe checkdnumber 1591
if not errorlevel 1 goto IPMI

rem Check for Kalypso based systems
rem Check for TX300 / RX300
actions.exe checkdnumber 1409
if not errorlevel 1 goto KALYPSO

rem Check for TX200 / TX250
actions.exe checkdnumber 1419
if not errorlevel 1 goto KALYPSO

rem Check for RX200
actions.exe checkdnumber 1570
if not errorlevel 1 goto KALYPSO

rem +---------------------------------------------------------------+
rem + Check onboard implementation                                  +
rem +---------------------------------------------------------------+
rem Check for H250
actions.exe checkdnumber 1242
if not errorlevel 1 goto ONBOARD
rem Check for x450
actions.exe checkdnumber 1290
if not errorlevel 1 goto ONBOARD
rem Check for X600
actions.exe checkdnumber 1411
if not errorlevel 1 goto ONBOARD

rem +---------------------------------------------------------------+
rem + Control boot watchdog                                         +
rem +---------------------------------------------------------------+
SPMAN -bootwd
SYSMON -bootwd
ASUSMAN -bootwd

rem +---------------------------------------------------------------+
rem + Flash firmware                                                +
rem +---------------------------------------------------------------+
flashrmc core.bin SDR_rsbc.bin -f
if errorlevel 1 goto error

rem +---------------------------------------------------------------+
rem + Set default values                                            +
rem +---------------------------------------------------------------+
echo MESSAGE: Set default values

rem **** Set Time ****
spman -INI=SYNCTIME.INI >NUL

rem **** Clear message log ****
SPMAN -CMDA=0x0B03,0x0000,0x0001,0x0000 >NUL
disp.exe 1

rem **** Set BIOS boot configration ****
rem **** Disable BIOS boot watchdog ****
SPMAN -CMDC=0xE002,0x0040,0x0000,0x0000,0x00 >NUL
rem **** Set BIOS boot source(boot system) ****
SPMAN -CMDC=0xE002,0x0011,0x0000,0x0000,0x00 >NUL
rem **** Set BIOS boot retry counter ****
SPMAN -CMDC=0xE002,0x0030,0x0000,0x0000,0x03 >NUL
disp.exe 2

rem **** Disable BIOS software watchdog ****
SPMAN -CMDC=0xE002,0x0042,0x0000,0x0000,0x00 >NUL
disp.exe 3

rem **** Set RSB boot configration ****
rem **** Disable RSB boot watchdog ****
SPMAN -CMDA=0xE002,0x0040,0x0000,0x0000,0x00 >NUL
rem **** Set RSB boot source(boot system) ****
SPMAN -CMDA=0xE002,0x0011,0x0000,0x0000,0x00 >NUL
rem **** Set RSB boot retry counter ****
SPMAN -CMDA=0xE002,0x0030,0x0000,0x0000,0x03 >NUL
disp.exe 4

rem **** Disable RSB software watchdog ****
SPMAN -CMDA=0xE002,0x0042,0x0000,0x0000,0x00 >NUL
disp.exe 5

rem **** Disable BIOS schedule(ON) ****
SPMAN -CMDC=0xE002,0x00A0,0x0000,0x0000,0xFF,0xFF >NUL
disp.exe 6
SPMAN -CMDC=0xE002,0x00A0,0x0001,0x0000,0xFF,0xFF >NUL
disp.exe 7
SPMAN -CMDC=0xE002,0x00A0,0x0002,0x0000,0xFF,0xFF >NUL
disp.exe 8
SPMAN -CMDC=0xE002,0x00A0,0x0003,0x0000,0xFF,0xFF >NUL
disp.exe 9
SPMAN -CMDC=0xE002,0x00A0,0x0004,0x0000,0xFF,0xFF >NUL
disp.exe 10
SPMAN -CMDC=0xE002,0x00A0,0x0005,0x0000,0xFF,0xFF >NUL
disp.exe 11
SPMAN -CMDC=0xE002,0x00A0,0x0006,0x0000,0xFF,0xFF >NUL
disp.exe 12

rem **** Disable BIOS schedule(OFF) ****
SPMAN -CMDC=0xE002,0x00A1,0x0000,0x0000,0xFF,0xFF >NUL
disp.exe 13
SPMAN -CMDC=0xE002,0x00A1,0x0001,0x0000,0xFF,0xFF >NUL
disp.exe 14
SPMAN -CMDC=0xE002,0x00A1,0x0002,0x0000,0xFF,0xFF >NUL
disp.exe 15
SPMAN -CMDC=0xE002,0x00A1,0x0003,0x0000,0xFF,0xFF >NUL
disp.exe 16
SPMAN -CMDC=0xE002,0x00A1,0x0004,0x0000,0xFF,0xFF >NUL
disp.exe 17
SPMAN -CMDC=0xE002,0x00A1,0x0005,0x0000,0xFF,0xFF >NUL
disp.exe 18
SPMAN -CMDC=0xE002,0x00A1,0x0006,0x0000,0xFF,0xFF >NUL
disp.exe 19

rem **** Disable RSB schedule(ON) ****
SPMAN -CMDA=0xE002,0x00A0,0x0000,0x0000,0xFF,0xFF >NUL
disp.exe 20
SPMAN -CMDA=0xE002,0x00A0,0x0001,0x0000,0xFF,0xFF >NUL
disp.exe 21
SPMAN -CMDA=0xE002,0x00A0,0x0002,0x0000,0xFF,0xFF >NUL
disp.exe 22
SPMAN -CMDA=0xE002,0x00A0,0x0003,0x0000,0xFF,0xFF >NUL
disp.exe 23
SPMAN -CMDA=0xE002,0x00A0,0x0004,0x0000,0xFF,0xFF >NUL
disp.exe 24
SPMAN -CMDA=0xE002,0x00A0,0x0005,0x0000,0xFF,0xFF >NUL
disp.exe 25
SPMAN -CMDA=0xE002,0x00A0,0x0006,0x0000,0xFF,0xFF >NUL
disp.exe 26

rem **** Disable RSB schedule(OFF) ****
SPMAN -CMDA=0xE002,0x00A1,0x0000,0x0000,0xFF,0xFF >NUL
disp.exe 27
SPMAN -CMDA=0xE002,0x00A1,0x0001,0x0000,0xFF,0xFF >NUL
disp.exe 28
SPMAN -CMDA=0xE002,0x00A1,0x0002,0x0000,0xFF,0xFF >NUL
disp.exe 29
SPMAN -CMDA=0xE002,0x00A1,0x0003,0x0000,0xFF,0xFF >NUL
disp.exe 30
SPMAN -CMDA=0xE002,0x00A1,0x0004,0x0000,0xFF,0xFF >NUL
disp.exe 31
SPMAN -CMDA=0xE002,0x00A1,0x0005,0x0000,0xFF,0xFF >NUL
disp.exe 32
SPMAN -CMDA=0xE002,0x00A1,0x0006,0x0000,0xFF,0xFF >NUL
disp.exe 33

rem **** Set Logo ****
echo MESSAGE: Wait for about 1 minute
SPMAN -CMDA=0xE002,0x0209,0x0000,0x0000,0xCA,0x10 >NUL
WAIT 90 >NUL
rem **** Set message log ****
SPMAN -CMDA=0x0B02,0x0000,0x0001,0x0000,0x00,0x16,0x00,0x01,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00 >NUL
rem **** Clear error log ****
SPMAN -CMDA=0x0B03,0x0000,0x0000,0x0000 >NUL

rem **** Normal end ****
echo OK:    Firmware flash successfully finished
if not "%1" == "fpddisk" goto end
goto end

rem **** Abnormal end ****
:error
rem **** Set error log ****
SPMAN -CMDA=0x0B02,0x0000,0x0000,0x0000,0x02,0xd6,0x00,0x01,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00 >NUL
echo ERROR: Firmware flash failed
if not "%1" == "fpddisk" goto end
goto end

rem +---------------------------------------------------------------+
rem + KALYPSO                                                       +
rem +---------------------------------------------------------------+
:KALYPSO

rem +---------------------------------------------------------------+
rem + Control boot watchdog                                         +
rem +---------------------------------------------------------------+
SPMAN -bootwd
IPMIVIEW -bootwd

rem +---------------------------------------------------------------+
rem + Flash firmware                                                +
rem +---------------------------------------------------------------+
flashrmc core.bin SDR_ypso.bin -f
if errorlevel 1 goto error-n800

goto set-n800


rem +---------------------------------------------------------------+
rem + IPMI                                                          +
rem +---------------------------------------------------------------+
:IPMI

rem +---------------------------------------------------------------+
rem + Control boot watchdog                                         +
rem +---------------------------------------------------------------+
SPMAN -bootwd
IPMIVIEW -bootwd

rem +---------------------------------------------------------------+
rem + Flash firmware                                                +
rem +---------------------------------------------------------------+
flashrmc core.bin SDR_ipmi.bin -f
if errorlevel 1 goto error-n800

goto set-n800


rem +---------------------------------------------------------------+
rem + N800                                                          +
rem +---------------------------------------------------------------+
:N800

rem +---------------------------------------------------------------+
rem + Control boot watchdog                                         +
rem +---------------------------------------------------------------+
SPMAN -bootwd
IPMIMAN -bootwd

rem +---------------------------------------------------------------+
rem + Flash firmware                                                +
rem +---------------------------------------------------------------+
flashrmc core.bin SDR_N800.bin -f
if errorlevel 1 goto error-n800

rem +---------------------------------------------------------------+
rem + Set default values                                            +
rem +---------------------------------------------------------------+
:set-n800
echo MESSAGE: Set default values

rem **** Set Time ****
spman -INI=SYNCTIME.INI >NUL

rem **** Clear message log ****
SPMAN -CMDA=0x0B03,0x0000,0x0001,0x0000 >NUL
disp.exe 1

disp.exe 2
disp.exe 3

rem **** Set RSB boot configration ****
rem **** Set RSB boot retry counter ****
SPMAN -CMDA=0xE002,0x0030,0x0000,0x0000,0x03 >NUL
disp.exe 4

rem **** Disable RSB software watchdog ****
SPMAN -CMDA=0xE002,0x0042,0x0000,0x0000,0x00 >NUL
disp.exe 5

disp.exe 6
disp.exe 7
disp.exe 8
disp.exe 9
disp.exe 10
disp.exe 11
disp.exe 12
disp.exe 13
disp.exe 14
disp.exe 15
disp.exe 16
disp.exe 17
disp.exe 18
disp.exe 19

rem **** Disable RSB schedule(ON) ****
SPMAN -CMDA=0xE002,0x00A0,0x0000,0x0000,0xFF,0xFF >NUL
disp.exe 20
SPMAN -CMDA=0xE002,0x00A0,0x0001,0x0000,0xFF,0xFF >NUL
disp.exe 21
SPMAN -CMDA=0xE002,0x00A0,0x0002,0x0000,0xFF,0xFF >NUL
disp.exe 22
SPMAN -CMDA=0xE002,0x00A0,0x0003,0x0000,0xFF,0xFF >NUL
disp.exe 23
SPMAN -CMDA=0xE002,0x00A0,0x0004,0x0000,0xFF,0xFF >NUL
disp.exe 24
SPMAN -CMDA=0xE002,0x00A0,0x0005,0x0000,0xFF,0xFF >NUL
disp.exe 25
SPMAN -CMDA=0xE002,0x00A0,0x0006,0x0000,0xFF,0xFF >NUL
disp.exe 26

rem **** Disable RSB schedule(OFF) ****
SPMAN -CMDA=0xE002,0x00A1,0x0000,0x0000,0xFF,0xFF >NUL
disp.exe 27
SPMAN -CMDA=0xE002,0x00A1,0x0001,0x0000,0xFF,0xFF >NUL
disp.exe 28
SPMAN -CMDA=0xE002,0x00A1,0x0002,0x0000,0xFF,0xFF >NUL
disp.exe 29
SPMAN -CMDA=0xE002,0x00A1,0x0003,0x0000,0xFF,0xFF >NUL
disp.exe 30
SPMAN -CMDA=0xE002,0x00A1,0x0004,0x0000,0xFF,0xFF >NUL
disp.exe 31
SPMAN -CMDA=0xE002,0x00A1,0x0005,0x0000,0xFF,0xFF >NUL
disp.exe 32
SPMAN -CMDA=0xE002,0x00A1,0x0006,0x0000,0xFF,0xFF >NUL
disp.exe 33

rem **** Set Logo ****
echo MESSAGE: Wait for about 1 minute
SPMAN -CMDA=0xE002,0x0209,0x0000,0x0000,0xCA,0x10 >NUL
WAIT 90 >NUL
rem **** Set message log ****
SPMAN -CMDA=0x0B02,0x0000,0x0001,0x0000,0x00,0x16,0x00,0x01,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00 >NUL
rem **** Clear error log ****
SPMAN -CMDA=0x0B03,0x0000,0x0000,0x0000 >NUL

rem **** Normal end ****
echo OK:    Firmware flash successfully finished
if not "%1" == "fpddisk" goto end
goto end

rem **** Abnormal end ****
:error-n800
rem **** Set error log ****
SPMAN -CMDA=0x0B02,0x0000,0x0000,0x0000,0x02,0xd6,0x00,0x01,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00 >NUL
echo ERROR: Firmware flash failed
if not "%1" == "fpddisk" goto end
goto end

rem +---------------------------------------------------------------+
rem + ONBOARD                                                       +
rem +---------------------------------------------------------------+
:ONBOARD
echo "This firmware does not support onboard implementations"
goto end

:end
